=== modified file 'shelf.py'
--- shelf.py	2005-05-26 12:03:17 +0000
+++ shelf.py	2005-05-26 12:03:36 +0000
@@ -42,10 +42,16 @@
 
     return True
 
+class QuitException(Exception):
+    pass
+
 def shelve():
     diff_lines = run_bzr('diff --hunks')
     patch_list = patches.parse_patches(diff_lines.__iter__())
-    to_shelve = prompt_user(patch_list)
+    try:
+        to_shelve = ask_user(patch_list)
+    except QuitException:
+        return False
 
     if len(to_shelve) == 0:
         print >>sys.stderr, 'Nothing to shelve'
@@ -86,7 +92,7 @@
         raise Exception("Failed running bzr")
     return lines
 
-def prompt_user(patch_list):
+def ask_user(patch_list):
     total = 0
     for patch in patch_list:
         total += len(patch.hunks)

